#!/usr/bin/python3
# coding: utf-8
# Copyright 2010, 2013, 2021 Ali Polatel <alip@exherbo.org>
# SPDX-License-Identifier: CNRI-Python-GPL-Compatible

"""\
pinktrace Python bindings
"""

__author__ = "Ali Polatel <alip@exherbo.org>"
__license__ = "CNRI-Python-GPL-Compatible"
__version__ = "1.0.0"

PACKAGE = "pinktrace"
""" The package name (eg pinktrace)"""
VERSION = "1.0.0"
""" The major version (eg 0.4.1 -> 0)"""
VERSION_MAJOR = 1
VERSION_MINOR = 0
""" The minor version (eg 0.4.1 -> 4)"""
VERSION_MICRO = 0
""" The micro version (eg 0.4.1 -> 1)"""
VERSION_SUFFIX = ""
""" The version suffix (eg "_alpha1"), often an empty string"""
GIT_HEAD = ""
""" The Git head used to build this binary, if applicable (eg "deadbeef" or "1.0.0-40-f00-dirty" or "")"""
PC_VERSION = "1.0.0"
""" The so version used for pkg-config"""
PC_SLOT = "1.0"
""" The suffix used for so names (eg "0.30" or "0.31_15ece615")"""

import pinktrace.system
import pinktrace.abi
import pinktrace.event
import pinktrace.name
import pinktrace.regset
import pinktrace.trace

__all__ = ('system', 'abi', 'event', 'name', 'regset', 'trace')
